Bug 662407 - spicec is world's most unfriendly X application
spicec is world's most unfriendly X application
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-12 08:54 EST by Tom Horsley
Modified: 2011-02-22 13:47 EST (History)
4 users (show)

See Also:
Fixed In Version: spice-protocol-0.6.4-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-22 13:47:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch allowing the window manager to place our window where it wants (2.19 KB, patch)
2010-12-15 10:45 EST, Hans de Goede
no flags Details | Diff

  None (edit)
Description Tom Horsley 2010-12-12 08:54:51 EST
Description of problem:

spicec always insists on starting a +0+0 and will not recognize the
standard X -geometry option to override it. Observing the startup
closely, it apparently makes one window, immediately destroys it,
then makes the "real" window it is going to use. Whatever it is
doing during startup apparently makes it impossible to override the
initial window position via my .fvwmrc file.


Version-Release number of selected component (if applicable):
spice-client-0.6.3-4.fc14.x86_64
fvwm-2.5.30-2.fc14.x86_64


How reproducible:
every time

Steps to Reproduce:
1.run spicec to connect to a KVM
2.see a mystery frame appear for an instant
3.see final window appear positioned at 0,0
  
Actual results:
always comes up at 0,0

Expected results:
I should be able to specify the position

Additional info:
Comment 1 Tom Horsley 2010-12-12 09:21:20 EST
Turning on some fvwm debug options reveals that spicec creates the initial
window, which gets properly placed by fvwm according to my .fvwmrc file,
then spicec requests the window to move to 0,0 (God knows why).

Using the fvwm FixedPPosition style finally enabled me to make the window
stay put.
Comment 2 Hans de Goede 2010-12-15 10:44:35 EST
I've a patch fixing this, I'll attach it here.

This will go upstream after review.
Comment 3 Hans de Goede 2010-12-15 10:45:03 EST
Created attachment 468880 [details]
Patch allowing the window manager to place our window where it wants
Comment 4 Fedora Update System 2011-02-14 04:45:53 EST
spice-protocol-0.6.4-1.fc14,spice-0.6.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/spice-protocol-0.6.4-1.fc14,spice-0.6.4-1.fc14
Comment 5 Fedora Update System 2011-02-14 15:30:11 EST
spice-protocol-0.6.4-1.fc14, spice-0.6.4-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spice-protocol spice'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/spice-protocol-0.6.4-1.fc14,spice-0.6.4-1.fc14
Comment 6 Fedora Update System 2011-02-22 13:46:55 EST
spice-protocol-0.6.4-1.fc14, spice-0.6.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.